[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libvir] libvirt not compatible with Xen-unstable hypercall API ?



Hi, Jerone.

Thank you for your info.
It needs to fix, I will fix this issue.
(I check up to xen-3.0.4 but for xen-3.0.5 is not yet.
The structure changes from xen-3.0.4 to xen-3.0.5.) 


But I hope xen_internal.c should switch libxc.
Any reason of libvirt stay on original code? 

Thanks
Atsushi SAKAI



Jerone Young <jyoung5 us ibm com> wrote:

> While trying to verify any potential problem between with libvirt & Xen
> PPC port. I've found that libvirt currently in CVS attempts to determine
> what hypercall version to follow, by looking at the hypervisior version.
> It determines that this is some arbitrary versioning "v2" of the
> hypercall api. This starts on line 1250 of xen_internal.c. This does not
> appear to be compatible with current Xen-Unstable from testing and
> trying to hack it up.
> 
> Has any work been done toward making libvirt compatible with
> Xen-unstable that has not been included? Or is it waiting till the
> offical 3.0.5 release? 
> 
> We are attempting to ensure that Xen PPC works with libvirt. Though we
> have to use the latest hypercall api. 
> 
> 		Thanks,
> 			Jerone 
> 
> 
> 
> --
> Libvir-list mailing list
> Libvir-list redhat com
> https://www.redhat.com/mailman/listinfo/libvir-list



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]